<?xml version="1.0"?>
<configuration>
  <configSections>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="KSD.UIFramework.Infrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
      <section name="KSD.UIFramework.Communication.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
      <section name="KSD.UIFramework.DataModel.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <runtime>
    <generatePublisherEvidence enabled="false"/>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="Modules;" />
    </assemblyBinding>
    <loadFromRemoteSources enabled="true" />
    <!--<legacyUnhandledExceptionPolicy enabled="1" />-->
    <legacyCorruptedStateExceptionsPolicy enabled="true"/>
  </runtime>
  <system.diagnostics>
    <sources>
      <source name="System.ServiceModel.MessageLogging">
        <listeners>
          <add name="messages" type="System.Diagnostics.XmlWriterTraceListener" initializeData="c:\logs\messages.svclog" />
        </listeners>
      </source>
    </sources>
  </system.diagnostics>
  <appSettings>
    <!-- 바로가기 구분을 위한 속성 : SysType ( safe_test, safe_test_ksd, safe_plus, safe_ksd, safe_proj)-->
    <add key="SysType" value="safe_test" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="WorkerComponent" value="KSD.WorkerHost.exe" />
    <!-- worker 프로세스 파일 이름 -->
    <add key="ReservedWorkerCount" value="2" />
    <!-- 유휴 worker 프로세스 개수 -->
    <add key="RunDebugConsole" value="false" />
    <!-- 디버그용으로 release에서는 false 지정 필. run debug console. when true, project should be console application type. -->
    <add key="ReceiveTimeout" value="infinite" />
    <!-- [in seconds] IPC 호출 후 응답 대기 시간. infinite 권장. -->
    <add key="IdleTimeout" value="infinite" />
    <!-- [in seconds] IPC 통신 idle 허용시간. infinite 권장. -->
    <add key="UseLocalBusinessModule" value="false" />
    <!-- local 업무 모듈을 사용할지 여부. 디버그 용으로 release에서는 false 지정 필. -->
    <add key="RemoteBusinessModuleBasePath" value="http://e-safetest.ksd.or.kr/Deploy/modules/" />
    <!-- 외부 업무 모듈 위치. 내부 기본값이 유효하지 않을 경우 사용됨. -->
    <add key="CheckWorkerValidityTimerInterval" value="20" />
    <!-- [in seconds] main에서 worker 유효성을 검사하는 타이머 주기 -->
    <add key="MainAliveTimerInterval" value="10" />
    <!-- [in seconds] worker에서 main의 유효성을 검사하는 타이머 주기 -->
    <add key="IsMainAliveTimeout" value="10" />
    <!-- [in seconds] MainAliveTimer에서의 heartbeat 응답 한계값 -->
    <add key="CreateViewTimeout" value="50" />
    <!-- [in seconds] View의 유효 생성 시간 한계값 -->
    <add key="FastLoading" value="false" />
    <!-- [현재 사용하지 않음: 무조건 false] Fast Loading 사용 여부-->
    <!-- 사이트 구분을 위한 속성 : SAFETEST, SAFE, SAFEDEV-->
    <add key="Site" value="SAFETEST" />
    <add key="UseWinformHomeTab" value="false" />
    <add key="UsenProtect" value="false" />
    <add key="UseSoftCamp" value="false" />
    <add key="NoCacheWebServerAddress" value="http://e-safetest.ksd.or.kr/Deploy/modules_gzip" />
    <add key="IsTransSplunk" value="true" />
    <add key="SplunkServiceUri" value="https://e-safetest.ksd.or.kr/webservices/monitoring.jsp" />
    <add key="ITPMSUri" value="http://itms.ksd.or.kr/ITS/jsp/sso_test.jsp" />
	
    <!-- [전자증권] 20190121 추가 : 고객 요청에 의해 인증서 등록 화면으로의 연결을 위함. 변경 시 & -> &amp;로 변경해서 기입할 것 -->
    <add key="CommonCertRegUrl" value="https://dacctest.ksd.or.kr/websquare5/websquare.jsp?w2xPath=/cm/main/index.xml&amp;mpath=/bda/dasp/BDA_DASP03007V.xml&amp;mid=9014&amp;ptitle=%ED%83%80%EA%B8%B0%EA%B4%80%EC%9D%B8%EC%A6%9D%EC%84%9C%EB%93%B1%EB%A1%9D"/>
  </appSettings>
  <applicationSettings>
    <KSD.UIFramework.Communication.Properties.Settings>
      <setting name="SKIP_WS_ENCRYPTION" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SKIP_WS_COMPRESSION" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ENABLE_WS_SKIP_PARAMETER" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="DEV_DEBUG_TRACE" serializeAs="String">
        <value>False</value>
      </setting>
    </KSD.UIFramework.Communication.Properties.Settings>
    <KSD.UIFramework.DataModel.Properties.Settings>
      <setting name="WEB_AJAX_URL" serializeAs="String">
        <value>https://{0}/bcs/rd.html?pageurl={1}/{2}.xml</value>
      </setting>
      <setting name="WEB_SERVICE_URL" serializeAs="String">
        <value>https://{0}/webservices/{1}</value>
      </setting>
      <setting name="WEB_SERVICE_IP_ADDRESS" serializeAs="String">
        <value>e-safetest.ksd.or.kr</value>
      </setting>
      <setting name="INITECH_TIMEPARAM_URL" serializeAs="String">
        <value>http://{0}/initech/plugin/tools/Time.jsp</value>
      </setting>
      <setting name="SERVER_TIMEPARAM_URL" serializeAs="String">
        <value>https://{0}/webservices/Time.jsp</value>
      </setting>
      <setting name="WEB_DEPLOY_URL" serializeAs="String">
        <!--<value>http://tsafe.ksd.or.kr/KsdDeployWeb/KSD.ApplicationBrowser.Shell.application</value>-->
        <value>http://192.168.2.77:8005/KsdDeployWeb/KSD.ApplicationBrowser.Shell.application</value>
      </setting>
    </KSD.UIFramework.DataModel.Properties.Settings>
    <KSD.UIFramework.Infrastructure.Properties.Settings>
      <setting name="OnDemandLibPath" serializeAs="String">
        <value>Modules</value>
      </setting>
      <setting name="ModuleDownloadType" serializeAs="String">
        <value>NTD</value>
      </setting>
      <setting name="GenerateTestMenu" serializeAs="String">
        <value>false</value>
      </setting>
      <setting name="UsingLogon" serializeAs="String">
        <value>true</value>
      </setting>
      <setting name="EdmsHostUrl" serializeAs="String">
        <value>http://172.24.99.27:8090/edms/draft_edms_document.jsp</value>
      </setting>
    </KSD.UIFramework.Infrastructure.Properties.Settings>
  </applicationSettings>
  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <system.net>
    <defaultProxy enabled="true" useDefaultCredentials="true">
    </defaultProxy>
  </system.net>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="COMN.TickerWSPortTypePortBinding" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="65536" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None" realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
        <binding name="KMAN.HelpMngtWSPortTypePortBinding" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="65536" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None" realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://192.168.1.12:8021/webservices/COMN.TickerWS" binding="basicHttpBinding" bindingConfiguration="COMN.TickerWSPortTypePortBinding" contract="COMN.TickerWS.COMNTickerWSPortType" name="COMN.TickerWSPortTypePort" />
      <endpoint address="http://e-safetest.ksd.or.kr:80/webservices/KMAN.HelpMngtWS" binding="basicHttpBinding" bindingConfiguration="KMAN.HelpMngtWSPortTypePortBinding" contract="KMAN.HelpMngtWS.KMANHelpMngtWSPortType" name="KMAN.HelpMngtWSPortTypePort" />
    </client>
  </system.serviceModel>
</configuration>